UrlController (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.UrlController,UrlController class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles
Class UrlController

    java.lang.Object
      |
      +--org.apache.struts.tiles.UrlController

All Implemented Interfaces:
  Controller

public class UrlController
extends java.lang.Object
implements Controller

Tiles controller including a local URL.

Author:
  Cedric Dumoulin

Field Summary
`protected java.lang.String` | `url` Url associated with this controller.

Constructor Summary
`UrlController(java.lang.String url)` Constructor.

Method Summary
`void` | `perform(ComponentContext tileContext, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext servletContext)` Method associated to a tile and called immediately before the tile is included.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### url

    protected java.lang.String url

  Url associated with this controller.

Constructor Detail

### UrlController

    public UrlController(java.lang.String url)

  Constructor.

Parameters:
  `url` - URL.

Method Detail

### perform

    public void perform(ComponentContext tileContext,
                        javax.servlet.http.HttpServletRequest request,
                        javax.servlet.http.HttpServletResponse response,
                        javax.servlet.ServletContext servletContext)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Method associated to a tile and called immediately before the tile is included. This implementation calls a Struts Action. No servlet is set by this method.

  Specified by:
    `perform` in interface `Controller`
  Parameters:
    `tileContext` - Current tile context.
    `request` - Current request.
    `response` - Current response.
    `servletContext` - Current servlet context.
    `javax.servlet.ServletException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation